<template>
  <div>
    <div class="show">
      <div class="modal-backdrop"></div>
      <div class="d-flex justify-content-center">
        <div class="jumbotron my-auto text-center">
          <img :src="loadding_logo" alt="" style="width: 300px" />
          <h2 class="text-white mt-2">{{ massage }}</h2>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import VueSlickCarousel from "vue-slick-carousel";
import "vue-slick-carousel/dist/vue-slick-carousel.css";
// optional style for arrows & dots
import "vue-slick-carousel/dist/vue-slick-carousel-theme.css";

import md5 from "js-md5";
export default {
  components: { VueSlickCarousel },
  scrollToTop: true,
  head: {
    title: process.env.TITLE,
    meta: [
      {
        hid: "description",
        name: "description",
        content: "Home page description",
      },
    ],
    link: [
      {
        rel: "icon",
        type: "image/x-icon",
        href: require("~/assets/img/logo/" + process.env.LOGOTITLE),
      },
    ],
  },
  data() {
    return {
      // domain: "betvvipkub",
      url_getdata: "http://192.168.1.51:8003/",
      isloadding: true,
      loadding_logo: require("~/assets/img/logo/" + process.env.LOGO),
      massage: "ปิดนะจ๊ะ :)",
    };
  },
  created() {
    if (this.$route.query.message) {
      this.massage = this.$route.query.message;
    }
    // setTimeout(() => { this.loaddingfinished() }, 2000);
  },
  watch: {
    // call again the method if the route changes
    $route: "checkMobile",
  },
  computed: {},
  methods: {
    checkMobile() {
      this.isMobile = window.matchMedia("(max-width: 900px)").matches
        ? true
        : false;
    },
    async GetData() {},
    md5(pwd) {
      pwd = pwd.toUpperCase();
      pwd = md5(pwd);
      return pwd;
    },
    loaddingfinished() {
      this.$bvModal.show("modal_loadding");
    },
  },
};
</script>

<style lang="scss" scoped>
body {
  font-family: "Prompt", sans-serif;
}
.bg_dark {
  background: black;
}
.yellow {
  color: #ffd46d;
}

.show {
  .justify-content-center {
    position: fixed;
    z-index: 2000;
    width: 100%;
    height: 100vh;
  }
  .modal-backdrop {
    opacity: 1;
  }
  img {
    width: 50%;
  }
}
.show.loadding {
  display: block;
  -webkit-animation: fadein 1s; /* Safari, Chrome and Opera > 12.1 */
  -moz-animation: fadein 1s; /* Firefox < 16 */
  -ms-animation: fadein 1s; /* Internet Explorer */
  -o-animation: fadein 1s; /* Opera < 12.1 */
  animation: fadein 1s;
}

@-webkit-keyframes fadeOut {
  0% {
    opacity: 1;
  }
  99% {
    opacity: 0.01;
    width: 100%;
    height: 100%;
  }
  100% {
    opacity: 0;
    width: 0;
    height: 0;
  }
}
@keyframes fadeOut {
  0% {
    opacity: 1;
  }
  99% {
    opacity: 0.01;
    width: 100%;
    height: 100%;
  }
  100% {
    opacity: 0;
    width: 0;
    height: 0;
  }
}

$color-title: #ffd46d;

$font-size-title: 36px;
$font-size-detail: 26px;
$font-size-subdetail: 26px;

.main {
  font-family: "Prompt", sans-serif;
}
// .bg_black {
//   background-color: black;
// }
a {
  color: inherit;
}
.header_top {
  width: 100%;
}
header {
  .h_logo {
    margin-left: 0;
    width: 19%;
    padding-top: 0.8vw;
    padding-left: 0;
    padding-bottom: 1vw;
    img {
      width: 100%;
    }
  }
}
</style>